Subject: Re: [tbench regression fixes]: digging out smelly deadmen.

From: Evgeniy Polyakov <[email-masked]>
Date: Thu, 30 Oct 2008 21:40:24 +0300

On Thu, Oct 30, 2008 at 11:15:26AM -0700, Stephen Hemminger ([email-masked]) wrote:
> Has anyone looked into the impact of port randomization on this benchmark.
> If it is generating lots of sockets quickly there could be an impact:
>   * port randomization causes available port space to get filled non-uniformly
>     and what was once a linear scan may have to walk over existing ports.
>     (This could be improved by a hint bitmap)
> 
>   * port randomization adds at least one modulus operation per socket
>     creation. This could be optimized by using a loop instead.

In this benchmark only two sockets are created per client for the whole
run, so this should not have any impact on performance.

-- 
	Evgeniy Polyakov